QCP Namespace Reference
Author: Emanuel Eichhammer

· · · ·
Enumerations | Functions
QCP Namespace Reference

## Enumerations
enum | MarginSide
enum | AntialiasedElement
enum | PlottingHint
enum | Interaction

## Functions
bool | isInvalidData (double value)
bool | isInvalidData (double value1, double value2)
void | setMarginValue (QMargins &margins, QCP::MarginSide side, int value)
int | getMarginValue (const QMargins &margins, QCP::MarginSide side)

## Detailed Description

The QCP Namespace contains general enums and QFlags used throughout the QCustomPlot library

## Enumeration Type Documentation

enum QCP::MarginSide

Defines the sides of a rectangular entity to which margins can be applied.

See Also
  QCPLayoutElement::setAutoMargins, QCPAxisRect::setAutoMargins

Enumerator
msLeft | `0x01` left margin
msRight | `0x02` right margin
msTop | `0x04` top margin
msBottom | `0x08` bottom margin
msAll | `0xFF` all margins
msNone | `0x00` no margin

enum QCP::AntialiasedElement

Defines what objects of a plot can be forcibly drawn antialiased/not antialiased. If an object is neither forcibly drawn antialiased nor forcibly drawn not antialiased, it is up to the respective element how it is drawn. Typically it provides a setAntialiased function for this.

`AntialiasedElements` is a flag of or-combined elements of this enum type.

See Also
  QCustomPlot::setAntialiasedElements, QCustomPlot::setNotAntialiasedElements

Enumerator
aeAxes | `0x0001` Axis base line and tick marks
aeGrid | `0x0002` Grid lines
aeSubGrid | `0x0004` Sub grid lines
aeLegend | `0x0008` Legend box
aeLegendItems | `0x0010` Legend items
aePlottables | `0x0020` Main lines of plottables (excluding error bars, see element aeErrorBars)
aeItems | `0x0040` Main lines of items
aeScatters | `0x0080` Scatter symbols of plottables (excluding scatter symbols of type ssPixmap)
aeErrorBars | `0x0100` Error bars
aeFills | `0x0200` Borders of fills (e.g. under or between graphs)
aeZeroLine | `0x0400` Zero-lines, see QCPGrid::setZeroLinePen
aeAll | `0xFFFF` All elements
aeNone | `0x0000` No elements

enum QCP::PlottingHint

Defines plotting hints that control various aspects of the quality and speed of plotting.

See Also
  QCustomPlot::setPlottingHints

Enumerator
phNone | `0x000` No hints are set
phFastPolylines | `0x001` Graph/Curve lines are drawn with a faster method. This reduces the quality especially of the line segment joins. (Only relevant for solid line pens.)
phForceRepaint | `0x002` causes an immediate repaint() instead of a soft update() when QCustomPlot::replot() is called with parameter QCustomPlot::rpHint. This is set by default to prevent the plot from freezing on fast consecutive replots (e.g. user drags ranges with mouse).
phCacheLabels | `0x004` axis (tick) labels will be cached as pixmaps, increasing replot performance.

enum QCP::Interaction

Defines the mouse interactions possible with QCustomPlot.

`Interactions` is a flag of or-combined elements of this enum type.

See Also
  QCustomPlot::setInteractions

Enumerator
iRangeDrag | `0x001` Axis ranges are draggable (see QCPAxisRect::setRangeDrag, QCPAxisRect::setRangeDragAxes)
iRangeZoom | `0x002` Axis ranges are zoomable with the mouse wheel (see QCPAxisRect::setRangeZoom, QCPAxisRect::setRangeZoomAxes)
iMultiSelect | `0x004` The user can select multiple objects by holding the modifier set by QCustomPlot::setMultiSelectModifier while clicking
iSelectPlottables | `0x008` Plottables are selectable (e.g. graphs, curves, bars,... see QCPAbstractPlottable)
iSelectAxes | `0x010` Axes are selectable (or parts of them, see QCPAxis::setSelectableParts)
iSelectLegend | `0x020` Legends are selectable (or their child items, see QCPLegend::setSelectableParts)
iSelectItems | `0x040` Items are selectable (Rectangles, Arrows, Textitems, etc. see QCPAbstractItem)
iSelectOther | `0x080` All other objects are selectable (e.g. your own derived layerables, the plot title,...)

## Function Documentation

bool QCP::isInvalidData | ( | double | value | ) |
| inline

Returns whether the specified value is considered an invalid data value for plottables (i.e. is nan or +/-inf). This function is used to check data validity upon replots, when the compiler flag `QCUSTOMPLOT_CHECK_DATA` is set.

bool QCP::isInvalidData | ( | double | value1,
|  | double | value2
| ) |  |
| inline

This is an overloaded function.

Checks two arguments instead of one.

void QCP::setMarginValue | ( | QMargins & | margins,
|  | QCP::MarginSide | side,
|  | int | value
| ) |  |
| inline

Sets the specified side of margins to value

See Also
  getMarginValue

int QCP::getMarginValue | ( | const QMargins & | margins,
|  | QCP::MarginSide | side
| ) |  |
| inline

Returns the value of the specified side of margins. If side is QCP::msNone or QCP::msAll, returns 0.

See Also
  setMarginValue